package com.example.myapplication.database.room.repository.online

import com.example.myapplication.database.room.model.user.UserItemCrossRef


interface UserItemRepository {
    suspend fun insertUserItem(userItemCrossRef: UserItemCrossRef)
    suspend fun updateUserItem(userItemCrossRef: UserItemCrossRef)
    suspend fun deleteUserItem(userItemCrossRef: UserItemCrossRef)
    suspend fun deleteUserItems(userId: Int)
}